Transferring Opportunistic Wireless Encryption to the IEEE 802.11 Working Group
RFC 9672
Warren Kumari
Google, LLC
Dan Harkins
Hewlett-Packard Enterprise
2024-12
IEEE
OWE
Opportunistic Wireless Encryption
RFC8110
RFC 8110 describes Opportunistic Wireless Encryption (OWE), a mode that allows unauthenticated clients to connect to a network using encrypted traffic. This document transfers the ongoing maintenance and further development of the protocol to the IEEE 802.11 Working Group.
This document updates RFC 8110 by noting that future work on the protocol described therein will occur in the IEEE 802.11 Working Group.
Status of This Memo
This document is not an Internet Standards Track specification; it is published for informational purposes.
This document is a product of the Internet Engineering Task Force (IETF). It represents the consensus of the IETF community. It has received public review and has been approved for publication by the Internet Engineering Steering Group (IESG). Not all documents approved by the IESG are candidates for any level of Internet Standard; see Section 2 of RFC 7841.
Information about the current status of this document, any errata, and how to provide feedback on it may be obtained at https://www.rfc-editor.org/info/rfc9672.
Copyright Notice
Copyright (c) 2024 IETF Trust and the persons identified as the document authors. All rights reserved.
This document is subject to BCP 78 and the IETF Trust's Legal Provisions Relating to IETF Documents (https://trustee.ietf.org/license-info) in effect on the date of publication of this document. Please review these documents carefully, as they describe your rights and restrictions with respect to this document. Code Components extracted from this document must include Revised BSD License text as described in Section 4.e of the Trust Legal Provisions and are provided without warranty as described in the Revised BSD License.
Table of Contents
- 1. Introduction
- 2. Transfer of Maintenance
- 3. Security Considerations
- 4. IANA Considerations
- 5. References
  - 5.1. Normative References
  - 5.2. Informative References
- Acknowledgments
- Authors' Addresses
Introduction
Opportunistic Wireless Encryption (OWE) [RFC8110] is a mode of opportunistic security [RFC7435] for IEEE Std 802.11 that provides encryption of the wireless medium without authentication.
Since publication, [RFC8110] (also known as "[Wi-Fi_Enhanced_Open]") has been widely implemented and deployed.
The IEEE 802.11 Working Group [IEEE_802.11] has requested the ability to maintain and develop OWE (see [IEEE_LS]) to ensure that the protocol remains in sync with the IEEE protocols. This document represents concurrence that future work on OWE [RFC8110] will now occur in the IEEE 802.11 Working Group.
Transfer of Maintenance
This document represents concurrence that future work on OWE [RFC8110] will now occur in the IEEE 802.11 Working Group [IEEE_802.11] to ensure that the protocol remains in sync with the IEEE protocols.
The OWE protocol [RFC8110] will be duplicated by the IEEE 802.11 Working Group [IEEE_802.11] such that the document alone will be enough to implement, maintain, and modify the protocol within the IEEE under its policies and procedures.
Security Considerations
This document simply notes that future work on the protocol described in [RFC8110] will now occur in the IEEE. As such, it does not introduce any new security considerations.
IANA Considerations
This document has no IANA actions.
References
Normative References
[RFC8110]

Opportunistic Wireless Encryption
D. Harkins, Ed.
W. Kumari, Ed.
March 2017
RFC 8110
DOI 10.17487/RFC8110
Informative References
[IEEE_802.11]

IEEE 802.11 Working Group
IEEE
[IEEE_LS]

Liaison statement: OWE (RFC8110) now in 802.11
May 2024
IETF Liaison Statement
[RFC7435]

Opportunistic Security: Some Protection Most of the Time
V. Dukhovni
December 2014
RFC 7435
DOI 10.17487/RFC7435
[Wi-Fi_Enhanced_Open]

Wi-Fi CERTIFIED Enhanced Open: Transparent Wi-Fi protections without complexity
Dan Harkins
Wi-Fi Alliance, The Beacon Blog
Acknowledgments
The authors would like to thank the IEEE 802.11 Working Group for their work, and for taking on the responsibility for future work on the protocol described in RFC 8110.
In addition, we would like to thank Stephen Farrell, the AD that sponsored the original work, as well as Clemens Schimpe, Dorothy Stanley, Paul Wouters, Eric Vyncke, Mike Montemurro, and Peter Yee.
Apologies to anyone we forgot to acknowledge; RFC 8110 was written 7+ years ago and we have had many conversations with many people since then...
Authors' Addresses
Warren Kumari
Google, LLC
warren@kumari.net
Dan Harkins
Hewlett-Packard Enterprise
daniel.harkins@hpe.com